<div class="dialog--header-title d-flex justify-content-center align-items-center">
  <h1 mat-dialog-title>Create Wallet Change</h1>
</div>
<div>
  <label class="font-weight-bold">Amount</label>
  <mat-form-field class="w-100" floatLabel="never">
    <input matInput id="wallet-change-amount-input"
           [(ngModel)]="change.amount" currencyMask
           placeholder="Change Amount" required
           [options]="{ prefix: this.currencyCode + ' ', thousands: ',', decimal: '.', precision: 0, allowNegative: false}">
  </mat-form-field>
  <mat-error *ngIf="amountError">
    Please input amount
  </mat-error>
  <mat-form-field class="w-80 mt-3">
    <mat-select placeholder="Category" [(value)]="change.category" required>
      <mat-option *ngFor="let category of categories" [value]="category"
                  [ngClass]="{'bg-spending': category.changeType === 'SPENDING', 'bg-income': category.changeType === 'INCOME'}">
        <img class="category-thumbnail mr-2" src="../../../assets/icon/{{category.thumbnail}}" alt="{{category.name}}">{{category.name}}
      </mat-option>
    </mat-select>
  </mat-form-field>
  <mat-error *ngIf="categoryError">
    Please select category
  </mat-error>

  <mat-form-field class="w-80">
    <input matInput placeholder="Note" [(ngModel)]="change.note">
  </mat-form-field>
  <mat-form-field class="w-80">
    <input matInput placeholder="With whom" [(ngModel)]="change.withWhom" >
  </mat-form-field>

  <mat-form-field class="w-80">
    <input matInput [matDatepicker]="picker" placeholder="Change Time" [(ngModel)]="change.changeTime" (click)="picker.open()">
    <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
    <mat-datepicker #picker></mat-datepicker>
  </mat-form-field>
  <mat-error *ngIf="changeTimeError">
    Please select change date
  </mat-error>
  <div>
    <button id="create-change-button" class=" mr-2" mat-raised-button (click)="onCreateChange()">Create</button>
    <button class="back-button" mat-raised-button (click)="onClose()">Close</button>
  </div>
</div>
